%define binname aria2c

Name:           aria2
Version:        1.6.0
Release:        1.1.moblin2
Summary:        High speed download utility with resuming and segmented downloading
Group:          Applications/Internet
License:        GPLv2+ with exceptions
URL:            http://aria2.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  bison
BuildRequires:  c-ares-devel cppunit-devel
BuildRequires:  gettext 
BuildRequires:  libgcrypt-devel libxml2-devel
BuildRequires:  sqlite-devel

%description
aria2 is a download utility with resuming and segmented downloading.
Supported protocols are HTTP/HTTPS/FTP/BitTorrent. It also supports Metalink
version 3.0.

Currently it has following features:
- HTTP/HTTPS GET support
- HTTP Proxy support
- HTTP BASIC authentication support
- HTTP Proxy authentication support
- FTP support(active, passive mode)
- FTP through HTTP proxy(GET command or tunneling)
- Segmented download
- Cookie support(currently aria2 ignores "expires")
- It can run as a daemon process.
- BitTorrent protocol support with fast extension.
- Selective download in multi-file torrent
- Metalink version 3.0 support(HTTP/FTP/BitTorrent).
- Limiting download/upload speed


%package docs
Group: Documentation
Summary: %{name} Documentation

%description docs
%{name} Documentation and other end-user/developer documents



%prep
%setup -q

%build
%configure --enable-bittorrent \
           --enable-metalink \
           --enable-epoll\
           --disable-rpath \
           --with-libcares \
           --with-libxml2 \
           --with-openssl \
           --with-libz \
           --with-sqlite3 \
           --disable-dependency-tracking \


make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
rm -f $RPM_BUILD_ROOT%{_datadir}/locale/locale.alias
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README 
%{_bindir}/%{binname}
%{_mandir}/man*/*


%files docs
%doc AUTHORS ChangeLog COPYING README doc/aria2c.1.html

%changelog
* Mon Oct  5 2009 Anas Nashif <anas.nashif@intel.com> - 1.6.0
- Update to 1.6.0
* Wed Aug 26 2009 Jian-feng Ding <jian-feng.ding@intel.com> 1.5.2
- Upgrade to latest 1.5.2
* Sun Mar 15 2009 Anas Nashif <anas.nashif@intel.com> 1.0.1
- Initial import into Moblin
